from setuptools import setup, find_packages

setup(
    name='MAFin',  # Package name
    version='0.1',  # Version number
    description='Tailoring Multiple Alignments for Motif Discovery: CLI tool to process and analyze MAF files ( Multiple alignment format ) ',  # Short description
    long_description=open('README.md').read(),  # Full description from README.md
    long_description_content_type='text/markdown',  # Content type for long description
    author='Patsakis Michail , Provatas Kimon, Ilias Georgakopoulos Soares, Ioannis Mouratidis',  # Your name
    author_email='kap6605@psu.edu , mpp5977@psu.edu',  # Your email
    url='https://github.com/Georgakopoulos-Soares-lab/MAFin',  # URL to your project (optional)
    packages=find_packages(),  # Automatically find all packages in the project
    # install_requires=[
    #     # Dependencies (from requirements.txt or directly here)
    #     # Example: 'click', 'requests'
    # ],
    entry_points={
        'console_scripts': [
            'MAFin=mafin.mafin:main',  # Register CLI command
        ],
    },
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.6',  # Specify Python version requirement
)